Problem mit Forum / wcf an jedem Wort dran gesetzt

  • Affected Version
    WoltLab Suite 5.4

    Ich habe wieder ein Problem. Das selbe wie damals, nur bekomm ichs jetzt nicht hin. Damals reiche es wenn ich beim Hoster auf PHP Version 8.0 änderte, aber jetzt bleibt der Fehler gleich.


    Sobald ich im ACP etwas ändere und abspeichere, bekomm ich im ganzen Forum komische Ausgaben. es wird irgend wie an jedes Wort "wcf" mit angefügt. Das sieht dann ca. so aus:


    "wcf.acp.menu.link.style.globalValues"
    "wcf.acp.menu.link.smiley.list"

    usw.

    Bilder im Anhang zeigen es.


    Bitte um Hilfe, langsam nervt es wirklich.

  • Es sieht so aus, als hättest du dir die Sprachvarbiable(n) zerschossen.


    Du kannst mal versuchen, ähnlich wie beim Stil, eine neue Sprache (in diesem Fall deutsch) hinzuzufügen und schauen, ob damit das Problem behoben ist.

    In Hoffnung auf positiven Verbleib gehen Grüße raus

  • Versuchsweise mal den Cache im ACP leeren.





    Gruß norse

    Zugang zu meinen Arbeiten und dem dazugehörigen Support bekommt Ihr bei Interesse hier.

  • Es sieht so aus, als hättest du dir die Sprachvarbiable(n) zerschossen.


    Du kannst mal versuchen, ähnlich wie beim Stil, eine neue Sprache (in diesem Fall deutsch) hinzuzufügen und schauen, ob damit das Problem behoben ist.

    Das ist nur wenn ich was umändere und abspeichere. Meistend wenn ich den Cache lösche ist es wieder weg, kommt aber dann wieder.


    Wie mach ich das am besten mit der Sprache? bzw. frag ich mich wie ich das ganze zerschossen habe, habe eig. nur einen Stil hochgeladen vom Forum hier und das wars.

  • Ja das klappt, aber sobald ich wieder was umändere, anderen Banner hochlade oder what ever, dann is wieder alles fürn A****. :/

  • Richtig, das hilft. Ich habe das Problem ebenfalls seit der Version 5.4.x in einem Forum, sobald ich etwas im ACP ändere. Und zwar völlig willkürlich, mal im Frontend, mal ist nur ein Teil der Schaltflächen im ACP davon betroffen und IMMER hilft dann nur das Leeren des System-Caches.

    Wodurch auch immer das hervorgerufen wird....


    Hier hatte ich einen Thread dazu gestartet:


    Gruß

    Jörg

    (Jaydee)

  • Richtig, das hilft. Ich habe das Problem ebenfalls seit der Version 5.4.x in einem Forum, sobald ich etwas im ACP ändere. Und zwar völlig willkürlich, mal im Frontend, mal ist nur ein Teil der Schaltflächen im ACP davon betroffen und IMMER hilft dann nur das Leeren des System-Caches.

    Wodurch auch immer das hervorgerufen wird....


    Hier hatte ich einen Thread dazu gestartet:


    Das ist doch "ACP - Verwaltung - Cache - Leeren" oder? Wenn ja, das hilft 1x und dann ist wieder alles kaputt bei der nächsten änderung. Das ist extrem mühsam.. Aber danke für deine Mühe :)

  • Das ist doch "ACP - Verwaltung - Cache - Leeren" oder? Wenn ja, das hilft 1x und dann ist wieder alles kaputt bei der nächsten änderung.

    Ja und ja. Leider. Und ich habe auch noch keine "dauerhafte" Lösung dafür. Zumal auch nicht alle 5.4 Nutzer davon betroffen zu sein scheinen. Trotzdem ist ja Deutsch die Standard-Sprache und genau die ist seit Upgrade auf 5.4 von diesem Problem betroffen. Vorher trat das ja nie auf.

    Irgendwo hakt seitdem der Cache in Einzelbereichen, ich habe nur noch nicht herausgefunden, wo genau....

    Gruß

    Jörg

    (Jaydee)

  • Ja und ja. Leider. Und ich habe auch noch keine "dauerhafte" Lösung dafür. Zumal auch nicht alle 5.4 Nutzer davon betroffen zu sein scheinen. Trotzdem ist ja Deutsch die Standard-Sprache und genau die ist seit Upgrade auf 5.4 von diesem Problem betroffen. Vorher trat das ja nie auf.

    Irgendwo hakt seitdem der Cache in Einzelbereichen, ich habe nur noch nicht herausgefunden, wo genau....

    Hatte das wie gesagt bei einem anderen Forum auch schon vor einem halben Jahr und als ich die PHP Version umgestellt hatte, war das Problem dauerhaft gelöst. Also vll hilft es dir ja. Versuch mal auf PHP Version 8.0 um zu stellen beim Webspace.

  • Versuch mal auf PHP Version 8.0 um zu stellen beim Webspace.

    Nope. Ich benutze generell die aktuelle PHP Version (in dem Fall also auch PHP 8 ) und das ändert es leider nicht, bzw. hat nichts mit diesem Fehler zu tun.

    Wie gesagt hakt der Cache da irgendwo. .

    Gruß

    Jörg

    (Jaydee)

  • Nope. Ich benutze generell die aktuelle PHP Version (in dem Fall also auch PHP 8 ) und das ändert es leider nicht, bzw. hat nichts mit diesem Fehler zu tun.

    Wie gesagt hakt der Cache da irgendwo. .

    Sollte man die WBB Version downgraden??? Gibts ja nicht, da muss es eine Lösung geben!

  • Sollte man die WBB Version downgraden???


    Auf keinen Fall!

    Erstens sind wie gesagt nicht Alle davon betroffen und zweitens wäre diese "Kleinigkeit" auch den Rückschritt nicht wert.


    Tu uns aber bitte einen Gefallen und zitiere nicht immer die kompletten vorherigen Beiträge, die kann ja Jeder im Original lesen. ;) Es reicht völlig, auf "Antworten" statt "Zitieren" zu klicken. Oder alternativ ein kurzes Zitat einzufügen, auf das Du dann Bezug nimmst.

    Gruß

    Jörg

    (Jaydee)

  • Zumal auch nicht alle 5.4 Nutzer davon betroffen zu sein scheinen. Trotzdem ist ja Deutsch die Standard-Sprache und genau die ist seit Upgrade auf 5.4 von diesem Problem betroffen. Vorher trat das ja nie auf.

    Irgendwo hakt seitdem der Cache in Einzelbereichen, ich habe nur noch nicht herausgefunden, wo genau....


    Wäre es vielleicht sinnvoll, da mal den Ticketsupport in der konkreten Installation schauen zu lassen? Vielleicht findet sich dann eine Ursache, die auch bei anderen das Phänomen erklärt.





    Gruß norse

    Zugang zu meinen Arbeiten und dem dazugehörigen Support bekommt Ihr bei Interesse hier.

  • Habe so eben alles neu installiert, das Design "Flatchine" hochgeladen, ein Logo eingesetzt und wieder das selbe Problem!

  • Ja, das wäre eine Möglichkeit. Bisher hatte ich gedacht es beträfe NUR mich und persönlich könnte ich damit leben, zumindest bis zu einem der nächsten Updates.

    Derzeit befinden sich ja noch mehrere Fehler in der 5.4er Reihe und das letzte Update ließ ausnahmsweise lange auf sich warten und befindet sich selbst derzeit noch in der "DEV" Phase. Warten wir mal ab, was sich bis dahin noch so alles zeigt und findet....


    Neulich zeigte sich hier im Forum beispielsweise, dass nach dem ".9er dev" Update URLs nicht mehr geparsed wurden und stattdessen nur wie ein # reagierten (also nur zum Seitenanfang führten). Was inzwischen mit der "dev2" behoben wurde. .

    Ich fürchte aber, dass das noch längst nicht alles an "Problemen" war. Zumindest wurde es für die Kunden bisher noch nicht freigegeben.

    Gruß

    Jörg

    (Jaydee)

  • Habe so eben alles neu installiert, das Design "Flatchine" hochgeladen, ein Logo eingesetzt und wieder das selbe Problem!

    Und ohne das Design?

    Neulich zeigte sich hier im Forum beispielsweise, dass nach dem ".9er dev" Update URLs nicht mehr geparsed wurden und stattdessen nur wie ein # reagierten (also nur zum Seitenanfang führten). Was inzwischen mit der "dev2" behoben wurde. .

    Ich fürchte aber, dass das noch längst nicht alles an "Problemen" war. Zumindest wurde es für die Kunden bisher noch nicht freigegeben.

    .9er dev? Du vermutest aber nicht etwa, dass hier jemand versucht, eine unfertige Version produktiv einzusetzen? ?(

  • Nein, von den Kunden natürlich nicht. Hier im Forum (wie ich schrieb) hingegen wir sie allerdings "produktiv" eingesetzt und genau hier zeigte sich ja u.a. der andere genannte Fehler (Links).

    Was in der Summe zeigt, dass auch die 5.4er noch nicht so ganz "ausgereift" ist. Es sei denn, das Ziel ist mit jeder Version noch mehr zu "verschlimmbessern". Normalerweise kann es ja nicht angehen, dass mit jeder neueren Update-Version noch mehr Fehler/Probleme auftreten als mit den älteren.


    Trotzdem weiß wohl so ziemlich Jeder, der jemals Software entwickelt hat, dass es bei Funktionsänderungen (und Updates) auch immer mal zu "unerwarteten" Problemen kommen kann.

    Manchmal werden leider Lücken gestopft, indem man anderswo (zunächst unbemerkt) neue Baustellen aufreißt. Wem das noch nie passiert ist, der hat auch noch nie wirklich programmiert....

    Gruß

    Jörg

    (Jaydee)

  • Und ohne das Design?

    .9er dev? Du vermutest aber nicht etwa, dass hier jemand versucht, eine unfertige Version produktiv einzusetzen? ?(

    Ja auch wenn ich das Standard Design lasse von Woltlab habe ich auch diesen Fehler. Habe nun auch schon ein Sprachpaket hinzugefügt. Noch immer das selbe Problem. -.-